/*
 * @Description:
 * @Author: 王旭
 * @Date: 2023-02-27 11:30:56
 * @LastEditTime: 2023-02-28 20:45:23
 * @LastEditors: 王旭
 */
import { createRouter, createWebHashHistory, RouteRecordRaw } from "vue-router";
import Home from "../views/Home.vue";
import CIM from "../views/CIM.vue";
import ParallelWorld from "../views/ParallelWorld.vue";
import WebGIS from "../views/WebGIS.vue";
import index from "../views/Index.vue";
import solution from "../views/Solution.vue";
import serviceSupport from "../views/ServiceSupport.vue";
// import sceoll from "../views/sceoll.vue";
const routes: Array<RouteRecordRaw> = [
  {
    path: "/",
    name: "Home",
    component: Home,
    redirect: "/index",
    children: [
      {
        path: "/index",
        component: index,
        name: "index",
        meta: {
          title: "首页",
          // requireAuth: true, // 标识该路由是否需要登录
        },
      },
      {
        path: "/solution",
        component: solution,
        name: "solution",
        meta: {
          title: "解决方案",
          // requireAuth: true, // 标识该路由是否需要登录
        },
      },
      {
        path: "/CIM",
        component: CIM,
        name: "CIM",
        meta: {
          title: "CIM",
          // requireAuth: true, // 标识该路由是否需要登录
        },
      },  {
        path: "/ParallelWorld",
        component: ParallelWorld,
        name: "ParallelWorld",
        meta: {
          title: "ParallelWorld",
          // requireAuth: true, // 标识该路由是否需要登录
        },
      },
      {
        path: "/WebGIS",
        component: WebGIS,
        name: "WebGIS",
        meta: {
          title: "WebGIS",
          // requireAuth: true, // 标识该路由是否需要登录
        },
      },



      
      {
        path: "/serviceSupport",
        component: serviceSupport,
        name: "serviceSupport",
        meta: {
          title: "服务与支持",
          // requireAuth: true, // 标识该路由是否需要登录
        },
      },
    ],
  },
  // {
  //   path: "/sceoll",
  //   component: sceoll,
  //   name: "sceoll",
  //   meta: {
  //     title: "首页",
  //     // requireAuth: true, // 标识该路由是否需要登录
  //   },
  // },
];

const router = createRouter({
  history: createWebHashHistory(),
  routes,
});

export default router;
